# Record Class CAMetadataElementMatchType.Specific

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAMetadataElementMatchType.Specific

Record Components:
  `packageName` - The metadata type package name
  `typeName` - The metadata type record name
  `fieldName` - The metadata type record field name
  `value` - The value

All Implemented Interfaces:
  `CAMetadataElementMatchType`

Enclosing interface:
  `CAMetadataElementMatchType`

public static record CAMetadataElementMatchType.Specific(CAComparisonExactType<com.io7m.lanark.core.RDottedName> packageName, CAComparisonExactType<String> typeName, CAComparisonExactType<String> fieldName, CAMetadataValueMatchType value) extends Record implements CAMetadataElementMatchType
Match a specific metadata field.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface com.io7m.cardant.model.CAMetadataElementMatchType

  `CAMetadataElementMatchType.And, CAMetadataElementMatchType.Or, CAMetadataElementMatchType.Specific`

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.model.CAMetadataElementMatchType

  `ANYTHING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Specific(CAComparisonExactType<com.io7m.lanark.core.RDottedName> packageName, CAComparisonExactType<String> typeName, CAComparisonExactType<String> fieldName, CAMetadataValueMatchType value)`
  Match a specific metadata element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAComparisonExactType<String>`
  `fieldName()`
  Returns the value of the `fieldName` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAComparisonExactType<com.io7m.lanark.core.RDottedName>`
  `packageName()`
  Returns the value of the `packageName` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CAComparisonExactType<String>`
  `typeName()`
  Returns the value of the `typeName` record component.
  `CAMetadataValueMatchType`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Specific

    public Specific(CAComparisonExactType<com.io7m.lanark.core.RDottedName> packageName, CAComparisonExactType<String> typeName, CAComparisonExactType<String> fieldName, CAMetadataValueMatchType value)
    Match a specific metadata element.
    Parameters:
      `packageName` - The metadata type package name
      `typeName` - The metadata type record name
      `fieldName` - The metadata type record field name
      `value` - The value

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### packageName

    public CAComparisonExactType<com.io7m.lanark.core.RDottedName> packageName()
    Returns the value of the `packageName` record component.
    Returns:
      the value of the `packageName` record component

  - ### typeName

    public CAComparisonExactType<String> typeName()
    Returns the value of the `typeName` record component.
    Returns:
      the value of the `typeName` record component

  - ### fieldName

    public CAComparisonExactType<String> fieldName()
    Returns the value of the `fieldName` record component.
    Returns:
      the value of the `fieldName` record component

  - ### value

    public CAMetadataValueMatchType value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component